@import url(colors.css);

@font-face {
    font-family: 'SpaceGrotesk-VariableFont_wght', sans-serif;
    src: url('../fonts/SpaceGrotesk-VariableFont_wght.ttf') format('ttf');
    font-weight: normal;
    font-style: normal;
  }
  
@font-face {
    font-family: 'WorkSans', sans-serif;
    src: url('../fonts/WorkSans-VariableFont_wght.ttf') format('ttf');
    font-weight: normal;
    font-style: normal;
}

body{
    padding: 0px;
    font-weight: 400;
    font-family: "Work Sans", sans-serif;;
    font-size: 18px;
    width: 100%;
    height: 100%;
    margin: 0;
    /* was curious and googled if it was hard to change the cursor but ended up beign so simple so wanted to try it out for fun */
    cursor: url('../images/cursor.svg'), auto;
  } 

/* this is only for tablet and mobile */
.hambMenu {
  display: none;
}

  .navbar {
    background-color: var(--primaryColor);
    overflow: auto;
    align-items: center;
    padding-left: 80px;
    padding-top: 20px;
    cursor: url('../images/cursor-2.svg'), auto;
  }

.logo {
    display: flex;
    min-height: 5%;
    min-width: 10%;
}
  
nav a {
    float: left;
    font-family: "Space Grotesk", sans-serif;
    text-align: center;
    padding: 12px;
    color: var(--secondaryColorTwo);
    text-decoration: none;
    font-size: 17px;
    cursor: url('../images/cursor-hand.svg'), auto;
}
.dropdown {
    float: left;
    overflow: hidden;
  }

i {
    color: var(--secondaryColorTwo);
    position: relative;
}
  
  /* Dropdown hovering button */
.dropdown .dropdown-button {
    font-size: 16px;
    border: none;
    outline: none;
    color: var(--secondaryColorTwo);
    padding: 14px 16px;
    /* used a tutorial which explained the inherit function which allows what chosen to take the same value from the parent instead having to code it again */ 
    background-color: inherit;
    font-family: inherit;
    margin: 0;
    cursor: url('../images/cursor-2.svg'), auto;
}
  
  /* hide the items inside the drop down item in the navbar */
.dropdown-item {
    display: none;
    position: absolute;
    background-color: var(--primaryColor);
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px var(--secondaryColor);
    z-index: 1;
}
  
  /* pages inside the dropdown button */
.dropdown-item a {
    float: none;
    color:var(--secondaryColorTwo);
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}
  
.dropdown-item a:hover {
    background-color: var(--secondaryColorTwo);
    color: var(--primaryColor);
}
  
  /* menu items pop up when hovering on "projects" */
.dropdown:hover .dropdown-item {
    display: block;
}

.pageHeading {
    flex-direction:column;
    align-items: left;
    color: var(--secondaryColorTwo);
    font-family: "Space Grotesk", sans-serif;
    font-weight: bold;
    font-size: clamp(2rem, 1rem + 3.3333vw, 4rem);
    padding-left: 40px;
}


.intro img {
    width: 100%;
}

.intro {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(3, auto);
    grid-gap: 20px;
}

.backgroundText {
    grid-column-start: 2;
    grid-column-end: 12;
    grid-row-start: 2;
    grid-row-end: 4;
}

.smallIntro {
    color:var(--secondaryColorTwo);
    grid-column-start: 3;
    grid-column-end: 11;
    grid-row-start: 2;
    grid-row-end: 3;
}

h3 {
    padding: 10px 80px;
}

.gallery-grid {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(19, auto);
    grid-gap: 20px;
}

.thumbnail img{
    width: 100%;
}

#img1 {
    grid-column-start: 2;
    grid-column-end: 5;
    grid-row-start: 1;
    grid-row-end: 3;
}

#img2 {
    grid-column-start: 5;
    grid-column-end: 7;
    grid-row-start: 1;
    grid-row-end: 2;
}

#img3 {
    grid-column-start: 7;
    grid-column-end: 9;
    grid-row-start: 1;
    grid-row-end: 2;
}

#img4 {
    grid-column-start: 9;
    grid-column-end: 12;
    grid-row-start: 1;
    grid-row-end: 3;
}

#img5 {
    grid-column-start: 2;
    grid-column-end: 5;
    grid-row-start: 3;
    grid-row-end: 6;
}

#img6 {
    grid-column-start: 5;
    grid-column-end: 9;
    grid-row-start: 2;
    grid-row-end: 6;
}

#img7 {
    grid-column-start: 9;
    grid-column-end: 12;
    grid-row-start: 3;
    grid-row-end: 6;
}

#img8 {
    grid-column-start: 2;
    grid-column-end: 6;
    grid-row-start: 6;
    grid-row-end: 11;
}

#img9 {
    grid-column-start: 6;
    grid-column-end: 12;
    grid-row-start: 6;
    grid-row-end: 12;
}

#img10 {
    grid-column-start: 2;
    grid-column-end: 6;
    grid-row-start: 11;
    grid-row-end: 15;
}

#img11 {
    grid-column-start: 6;
    grid-column-end: 12;
    grid-row-start: 12;
    grid-row-end: 15;
}

#img12 {
    grid-column-start: 2;
    grid-column-end: 5;
    grid-row-start: 15;
    grid-row-end: 19;
}

#img13 {
    grid-column-start: 5;
    grid-column-end: 9;
    grid-row-start: 15;
    grid-row-end: 19;
}

#img14 {
    grid-column-start: 9;
    grid-column-end: 12;
    grid-row-start: 15;
    grid-row-end: 19;
}

footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--primaryColor);
    padding: 10px 80px;
    color: var(--secondaryColorTwo);
    cursor: url('../images/cursor-2.svg'), auto;
  }
  
  .social-icons {
    display: flex;
    gap: 10px;
  }
  
  .social-icons a {
    display: inline-block;
    width: 24px;
    height: 24px;
    cursor: url('../images/cursor-hand.svg'), auto;
  }
  
  .social-icons img {
    width: 100%;
    height: auto;
    display: block;
  }

  @media only screen and (max-width: 768px) {
    /* transform the nav bar into a hamburger menu on tablet and mobile */
    
    
     .hambMenu {
      display: flex;
      position: fixed;
      top: 0;
      right: 0;
      z-index: 300;
      width: 100vw;
      justify-content: space-between;
     }
    
    .logoHamb {
      z-index: 1000;
    }
    
    /* checkbox to a toggle */
    
    .toggle {
      width: 60px;
      height: 60px;
      position: absolute;
      top: 0;
      right: 0;
      z-index: 2;
      opacity: 0;
      /* cursor: pointer; */
      color: var(--primaryColor);
    }
    
    /* hamburger icons */
    
    .hamburger {
      position: absolute;
      top: 0;
      right: 20;
      z-index: 1;
    
      /* style the square */
      width: 30px;
      height: 60px;
      background: transparent;
      padding: 0;
    
      /* flex to center content */
      display: flex;
      justify-content: center;
      align-items: center;
    }
    
    /* hamburger lines */
    .hamburger > div {
      position: relative;
      width: 100%;
      height: 2px;
      background-color: var(--secondaryColorTwo);
      transition: all 0.5s ease;
    }
    
    /* no need for the toggle to move on hover as theres no hover effect on tablets or mobile */
    /* .toggle:checked:hover + .hamburger > div {
      transform: rotate(225deg);
    } */
    
    .hamburger > div::before, 
    .hamburger > div::after {
      content: "";
      position: absolute;
      z-index: 1;
      width: 100%;
      height: 2px;
      background-color:var(--secondaryColorTwo);
    } 
    
    .hamburger > div::before {
      top: -10px
    }
    
    .hamburger > div::after {
      top: 10px;
    }
    
    /* change the hamburger state to the X */
    .toggle:checked + .hamburger > div {
      transform: rotate(135deg);
    }
    
    .toggle:checked + .hamburger > div::before,
    .toggle:checked + .hamburger > div::after {
      top: 0;
      transform: rotate(90deg);
    }
    
    /* link my hb to menu */
    .toggle:checked ~ .menu {
      visibility: visible;
      position: fixed;
    }
    
    .toggle:checked ~ .menu > div {
      transform: scale(1);
      transition-duration: var(0.75s);
    }
    
    .toggle:checked ~ .menu > div > div {
      opacity: 1;
    }
    
    /* style menu links */
    .menu {
      position: fixed;
      top: 0;
      right: 0;
      width: 100%;
      height: 100%;
      display: flex;
      align-items: center;
      justify-content: center;
    
      /* hide menu */
      visibility: hidden;
      overflow: hidden;
    }
    /* overlay */
    .menu > div {
      background-color: var(--primaryColor);
      /* turn into a circle */
      border-radius: 50%;
      width: 200%;
      height: 200vw;
    
      /* put overlay in the center */
      display: flex;
      flex: none;
      justify-content: center;
      align-items: center;
    
      /* animation when appears */
      transform: scale(0);
      transition: all 1s ease;
    }
    
    /* links */
    .menu > div > div {
      text-align: center;
      max-width: 90vw;
      max-height: 100vh;
    
      /* animation */
      opacity: 0;
      transition: all 0.3s ease;
    
    }
    
    .menu > div > div > ul {
      padding: 0;
    }
    
    .menu > div > div > ul > li {
      list-style: none;
      padding: 0;
    }
    .menu > div > div > ul > li > a {
      font-family:"Space Grotesk", sans-serif; ;
      text-decoration: none;
      color: var(--secondaryColorTwo);
      font-size: 1.5rem;
    }
    
    .logo {
      justify-content: left;
      margin: 0;
    }
    
     .link-item {
      display: none;
     }
    
     .dropdown {
      display: none;
     }
    
     .pageHeading {
      display: none;
     }
    .navbar {
      padding: 0;
    }


    .intro {
        display: none;
        /* as the text was too much it will be visible only through desktop */
    }

    .backgroundText {
        display: none;
    }


    h3 {
        padding: 10px 40px;
    }

    /* gallery into a columb on tablet and mbile */

    .gallery-grid {
        display: flex;
        flex-direction: column;
        grid-gap: 10px;
        padding-left: 40px;
        padding-right: 40px;
        margin-top: 20px;
        margin-bottom: 20px;
    }

    footer {
        flex-direction: column;
        text-align: center;
        padding: 10px 40px;
    }

    .social-icons {
        justify-content: center;
        margin-top: 10px;
    }

    .intro {
        display:none;
    }

    .backgroundText {
        display:none;
    }

    h3 {
        text-align: center;
    }

    .gallery-grid {
        display: flex;
        flex-direction: column;
        grid-gap: 10px;
        padding-left: 40px;
        padding-right: 40px;
        margin-top: 20px;
        margin-bottom: 20px;
    }

    footer {
        flex-direction: column;
        text-align: center;
        padding: 10px 20px;
    }

    .social-icons {
        justify-content: center;
        margin-top: 10px;
    }

}


@media only screen and (max-width: 480px) {
  .hamburger > div {
    position: relative;
    width: 100%;
    height: 2px;
    background-color: var(--secondaryColorTwo);
    transition: all 0.5s ease;
  }
  
  /* no need for the toggle to move on hover as theres no hover effect on tablets or mobile */
  /* .toggle:checked:hover + .hamburger > div {
    transform: rotate(225deg);
  } */
  
  .hamburger > div::before, 
  .hamburger > div::after {
    content: "";
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 2px;
    background-color: var(--secondaryColorTwo);
  } 
  
  .hamburger > div::before {
    top: -10px
  }
  
  .hamburger > div::after {
    top: 10px;
  }
  
  /* change the hamburger state to the X */
  .toggle:checked + .hamburger > div {
    transform: rotate(135deg);
  }
  
  .toggle:checked + .hamburger > div::before,
  .toggle:checked + .hamburger > div::after {
    top: 0;
    transform: rotate(90deg);
  }
  
  /* link my hb to menu */
  .toggle:checked ~ .menu {
    visibility: visible;
    position: fixed;
  }
  
  .toggle:checked ~ .menu > div {
    transform: scale(1);
    transition-duration: var(0.75s);
  }
  
  .toggle:checked ~ .menu > div > div {
    opacity: 1;
  }
  
  /* style menu links */
  .menu {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
  
    /* hide menu */
    visibility: hidden;
    overflow: hidden;
  }
  /* overlay */
  .menu > div {
    background-color: var(--primaryColor);
    /* turn into a circle */
    border-radius: 50%;
    width: 500%;
    height: 500vw;
  
    /* put overlay in the center */
    display: flex;
    flex: none;
    justify-content: center;
    align-items: center;
  
    /* animation when appears */
    transform: scale(0);
    transition: all 1s ease;
  }
  
  /* links */
  .menu > div > div {
    text-align: center;
    max-width: 90vw;
    max-height: 100vh;
  
    /* animation */
    opacity: 0;
    transition: all 0.3s ease;
  
  }
  
  .menu > div > div > ul {
    padding: 0;
  }
  
  .menu > div > div > ul > li {
    list-style: none;
    padding: 0;
  }
  .menu > div > div > ul > li > a {
    font-family:"Space Grotesk", sans-serif; ;
    text-decoration: none;
    color: var(--secondaryColorTwo);
    font-size: 1.5rem;
  }
  
  .logo {
    justify-content: left;
    margin: 0;
  }
  
   .link-item {
    display: none;
   }
  
   .dropdown {
    display: none;
   }
  
   .pageHeading {
    display: none;
   }
  .navbar {
    padding: 0;
  }

  .intro {
    display:none;

  /* as the text is too much it will be visible only on desktop */
}

.backgroundText {
    display:none;
}

h3 {
    text-align: center;
}

.gallery-grid {
    display: flex;
    flex-direction: column;
    grid-gap: 10px;
    padding-left: 40px;
    padding-right: 40px;
    margin-top: 20px;
    margin-bottom: 20px;
}

footer {
    flex-direction: column;
    text-align: center;
    padding: 10px 20px;
}

.social-icons {
    justify-content: center;
    margin-top: 10px;
}
}
